Package org.apache.sis.storage.earthobservation

## Class LandsatStoreProvider

- Object
- - DataStoreProvider
  - - LandsatStoreProvider

-     public class LandsatStoreProvider
      extends DataStoreProvider

  The provider of `LandsatStore` instances. Given a `StorageConnector` input, this class tries to instantiate a `LandsatStore`.
  Thread safety
  The same `LandsatStoreProvider` instance can be safely used by many threads without synchronization on the part of the caller. However the `LandsatStore` instances created by this factory are not thread-safe.
  Since:
    0.8

  Defined in the `sis-earth-observation` module

- - ### Field Summary

    - ### Fields inherited from class DataStoreProvider

      `CREATE, LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LandsatStoreProvider()` | Creates a new provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParameterDescriptorGroup` | `getOpenParameters()` | Returns a description of all parameters accepted by this provider for opening a Landsat file.
    `String` | `getShortName()` | Returns a generic name for this data store, used mostly in warnings or error messages.
    `DataStore` | `open​(StorageConnector connector)` | Returns a `LandsatStore` implementation associated with this provider.
    `ProbeResult` | `probeContent​(StorageConnector connector)` | Returns `ProbeResult​.SUPPORTED` if the given storage appears to be supported by `LandsatStore`.

    - ### Methods inherited from class DataStoreProvider

      `getFormat, getLogger, getSupportedVersions, open`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LandsatStoreProvider

          public LandsatStoreProvider()

      Creates a new provider.

  - ### Method Detail

    - #### getShortName

          public String getShortName()

      Returns a generic name for this data store, used mostly in warnings or error messages.
      Specified by:
        `getShortName` in class `DataStoreProvider`
      Returns:
        a short name or abbreviation for the data format.
      See Also:
        `DataStoreProvider​.getFormat()`

    - #### getOpenParameters

          public ParameterDescriptorGroup getOpenParameters()

      Returns a description of all parameters accepted by this provider for opening a Landsat file.
      Specified by:
        `getOpenParameters` in class `DataStoreProvider`
      Returns:
        description of available parameters for opening a Landsat file.
      Since:
        0.8
      See Also:
        `DataStoreProvider​.LOCATION`, `DataStoreProvider​.CREATE`, `DataStoreProvider​.open(ParameterValueGroup)`, `DataStore​.getOpenParameters()`

    - #### probeContent

          public ProbeResult probeContent​(StorageConnector connector)
                                   throws DataStoreException

      Returns `ProbeResult​.SUPPORTED` if the given storage appears to be supported by `LandsatStore`. Returning `SUPPORTED` from this method does not guarantee that reading or writing will succeed, only that there appears to be a reasonable chance of success based on a brief inspection of the storage header.
      Specified by:
        `probeContent` in class `DataStoreProvider`
      Parameters:
        `connector` - information about the storage (URL, stream, JDBC connection, etc).
      Returns:
        `ProbeResult​.SUPPORTED` if the given storage seems to be readable as a Landsat file.
      Throws:
        `DataStoreException` - if an I/O or SQL error occurred.

    - #### open

          public DataStore open​(StorageConnector connector)
                         throws DataStoreException

      Returns a `LandsatStore` implementation associated with this provider.
      Specified by:
        `open` in class `DataStoreProvider`
      Parameters:
        `connector` - information about the storage (URL, stream, etc).
      Returns:
        a data store implementation associated with this provider for the given storage.
      Throws:
        `DataStoreException` - if an error occurred while creating the data store instance.
      See Also:
        `DataStores​.open(Object)`